> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getTimeOffPolicyAssignment

> The `getTimeOffPolicyAssignment ` API retrieves a time off assignment using the associated timeOffPolicyAssignmentId

### Use

1. Retrieve a single timeOffPolicyAssignment for a user



## OpenAPI

````yaml get /reports/getTimeOffPolicyAssignment
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getTimeOffPolicyAssignment:
    get:
      tags: []
      summary: getTimeOffPolicyAssignment
      description: >-
        The `getTimeOffPolicyAssignment ` API retrieves a time off assignment
        using the associated timeOffPolicyAssignmentId


        ### Use


        1. Retrieve a single timeOffPolicyAssignment for a user
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                timeOffPolicyAssignmentId:
                  type: string
              required:
                - method
                - timeOffPolicyAssignmentId
            example:
              method: getTimeOffPolicyAssignment
              timeOffPolicyAssignmentId: FB76A153-8358-4C2C-AD5A-60771C69EAD8
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeOffPolicyAssignment:
                    type: object
                    properties:
                      employeeId:
                        type: string
                      timeOffPolicyAssignmentId:
                        type: string
                      timeOffPolicyId:
                        type: string
                      timeOffPolicyName:
                        type: string
                      effectiveStartDate:
                        type: string
                      effectiveEndDate:
                        type: string
                    required:
                      - employeeId
                      - timeOffPolicyAssignmentId
                      - timeOffPolicyId
                      - timeOffPolicyName
                      - effectiveStartDate
                      - effectiveEndDate
                required:
                  - timeOffPolicyAssignment
              example:
                timeOffPolicyAssignment:
                  employeeId: 1755E872-9092-4ECE-8386-860531D492D3
                  timeOffPolicyAssignmentId: FB76A153-8358-4C2C-AD5A-60771C69EAD8
                  timeOffPolicyId: 1BD5AB2B-AEEC-46CD-A93B-D1A68FB90C3A
                  timeOffPolicyName: Standard Vacation
                  effectiveStartDate: '2025-10-01'
                  effectiveEndDate: '2026-11-01'
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid TimeOffPolicyAssignmentId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````